Bug 1294814 - REbuild failed for heketi-1.0.2-1.el7rhgs.src.rpm for x86_64
REbuild failed for heketi-1.0.2-1.el7rhgs.src.rpm for x86_64
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: heketi (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Luis Pabón
Anush Shetty
: ZStream
Depends On:
Blocks: 1117272
  Show dependency treegraph
 
Reported: 2015-12-30 07:46 EST by Shruti Sampat
Modified: 2016-11-08 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-11 06:03:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shruti Sampat 2015-12-30 07:46:09 EST
Description of problem:
------------------------

Rebuild test failed for heketi-1.0.2-1.el7rhgs.src.rpm on x86_64 -

Rebuild command: x86_64 rpmbuild --rebuild --define 'debug_package %{nil}' --define "dist .el7rhgs"  --define '_topdir /usr/src/redhat' --target=x86_64 --rcfile /tmp/tps_rpmrc_QrSGmO:/usr/lib/rpm/rpmrc:/usr/lib/rpm/redhat/rpmrc /mnt/redhat/brewroot/packages/heketi/1.0.2/1.el7rhgs/src/heketi-1.0.2-1.el7rhgs.src.rpm
 doRpmCommand: x86_64 rpmbuild --rebuild --define 'debug_package %{nil}' --define "dist .el7rhgs"  --define '_topdir /usr/src/redhat' --target=x86_64 --rcfile /tmp/tps_rpmrc_QrSGmO:/usr/lib/rpm/rpmrc:/usr/lib/rpm/redhat/rpmrc /mnt/redhat/brewroot/packages/heketi/1.0.2/1.el7rhgs/src/heketi-1.0.2-1.el7rhgs.src.rpm &> heketi-1.0.2-1.el7rhgs.src.rpm-x86_64-rebuild.log
 doRpmCommand-result (256): 
 FAILED to rebuild /mnt/redhat/brewroot/packages/heketi/1.0.2/1.el7rhgs/src/heketi-1.0.2-1.el7rhgs.src.rpm -- return code 256
 REBUILD: FAIL for heketi-1.0.2-1.el7rhgs.src.rpm
 BUILDLOG: heketi-1.0.2-1.el7rhgs.src.rpm-x86_64-rebuild.log contains full details.  Reports from make and rpmbuild, with line numbers:
 3415-=== RUN TestVolumeEntryDoNotAllowDeviceOnSameNode
 3416---- PASS: TestVolumeEntryDoNotAllowDeviceOnSameNode (0.37s)
 3417-FAIL
 3418-exit status 1
 3419-FAIL	github.com/heketi/heketi/apps/glusterfs	10.221s
 3420:error: Bad exit status from /var/tmp/rpm-tmp.Qi3I1H (%check)
 3421-
 3422-
 3423-RPM build errors:
 3424-    user mockbuild does not exist - using root
 3425-    group mockbuild does not exist - using root
 Last 20 lines of Build Log:
 FAIL
 exit status 1
 FAIL	github.com/heketi/heketi/apps/glusterfs	10.221s
 error: Bad exit status from /var/tmp/rpm-tmp.Qi3I1H (%check)
 RPM build errors:
 user mockbuild does not exist - using root
 group mockbuild does not exist - using root
 user mockbuild does not exist - using root
 group mockbuild does not exist - using root
 user mockbuild does not exist - using root
 group mockbuild does not exist - using root
 user mockbuild does not exist - using root
 group mockbuild does not exist - using root
 user mockbuild does not exist - using root
 group mockbuild does not exist - using root
 user mockbuild does not exist - using root
 group mockbuild does not exist - using root
 Bad exit status from /var/tmp/rpm-tmp.Qi3I1H (%check)
 ===============

Version-Release number of selected component (if applicable):
--------------------------------------------------------------
heketi-1.0.2-1.el7rhgs.src.rpm

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. rpm --rebuild

Actual results:
---------------
Rebuild fails.

Expected results:
-----------------
Rebuild succeeds.
Comment 7 Shruti Sampat 2016-01-11 06:03:09 EST
Closing this BZ as the bug is not in the package but in the test - TPS builds packages as root user which should not be the case (See BZ#465477).

Note You need to log in before you can comment on or make changes to this bug.